#ifndef GAME_H
#define GAME_H

#include "Entity.h"
#include "input/Buttons.h"
#include "input/Controller.h"
#include "rendering/Renderer.h"
#include "utils/Clock.h"
#include "utils/Size.h"

class Game final {
    const Controller& controller;
    const Clock& fps;
    const Clock& tps;
    const Size& size;

    bool physicsToggle;

    Entity player;

public:
    Game(Controller& c, const Clock& fps, const Clock& tps, const Size& size);

    void tick();
    void render(float lag, Renderer& renderer) const;

    bool isRunning() const;
};

#endif